#include <Adafruit_APDS9960.h>
#include <LiquidCrystal_I2C.h>

Adafruit_APDS9960 apds;
LiquidCrystal_I2C lcd(0x27, 16, 2);

bool change = false;
unsigned long lastChange = 0;

void setup() {
  apds.begin();
  apds.enableProximity(true);
  apds.enableGesture(true);
  lcd.init();
  lcd.backlight();
  updateDisplay(0);
}

void loop() {
  int gesture = apds.readGesture();
  if (gesture) {
    updateDisplay(gesture);
    change = true;
    lastChange = millis();
  }
  if (change && (millis() - lastChange) > 1000) {
    updateDisplay(0);
    change = false;
  }
  delay(1);
}

void updateDisplay(int gesture) {
  lcd.clear();
  switch (gesture) {
    case APDS9960_UP:
      lcd.setCursor(7, 0);
      lcd.print("SU");
      break;
      
    case APDS9960_DOWN:
      lcd.setCursor(6, 1);
      lcd.print("GIU'");
      break;
      
    case APDS9960_LEFT:
      lcd.setCursor(0, 1);
      lcd.print("SINISTRA");
      break;
      
    case APDS9960_RIGHT:
      lcd.setCursor(10, 1);
      lcd.print("DESTRA");
      break;

    default:
      lcd.setCursor(3, 0);
      lcd.print("Attesa del");
      lcd.setCursor(4, 1);
      lcd.print("gesto...");
      break;
  }
}